Subject: 24.0.92; Gnus shows spurious message with org MIME part

From: Stephen Berman <[email-masked]>
Date: Thu, 01 Dec 2011 15:20:15 +0100

Whenever I open an email or posting in Gnus that contains a MIME part
whose type is "text/org"
(e.g. http://permalink.gmane.org/gmane.emacs.bugs/54532), the echo area
displays the message "OVERVIEW".  This is because the MIME type text/org
induces (via defcustom mm-inline-media-tests) a call to
mm-display-org-inline,
which calls mm-display-inline-fontify,
which calls org-mode,
which calls org-set-startup-visibility,
which calls org-cycle,
which calls org-cycle-internal-global,
which calls (message "OVERVIEW").

Since the email or posting I'm reading in Gnus is not in org-mode and I
cannot cycle the state of the MIME part, the message is at best
superfluous, at worst confusing.

In GNU Emacs 24.0.92.1 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2011-12-01 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t